import React from 'react';
import Loading from '../../util/Loading';
import Button from "../../util/Button";
import PlayerScoresList from "./PlayerScoresList";
import usePlayerScores from '../../../hooks/usePlayerScores';

const PlayerScoresContainer = ({ gameId, onReturnToStart }) => {
  const scores = usePlayerScores(gameId);

  if (!scores) {
    return <Loading/>
  }

  return (
    <div className="player-scores">
      <PlayerScoresList scores={scores} />
      <Button className="player-scores__button" onClick={onReturnToStart}>Return to Start</Button>
    </div>
  );
}

export default PlayerScoresContainer;
